Bug 217141 - Missing naming-factory-dbcp.jar in tomcat5.5.17
Missing naming-factory-dbcp.jar in tomcat5.5.17
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Lakshmanan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 05:17 EST by Nito Martinez
Modified: 2008-01-05 08:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 08:12:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nito Martinez 2006-11-24 05:17:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
Try the example tomcat mysql connection in http://tomcat.apache.org/tomcat-5.5-doc/jndi-datasource-examples-howto.html

It does not work.

the reason is that naming-factory-dbcp.jar that comes with apache-tomcat-5.5.17.tar.gz is not included.

It can be fixed by including naming-factory-dbcp.jar that comes with apache-tomcat-5.5.17 into /var/lib/tomcat5/common/lib

Version-Release number of selected component (if applicable):
tomcat5-5.5.17-6jpp.2.i386

How reproducible:
Always


Steps to Reproduce:
1. Create the mysql database as stated in http://tomcat.apache.org/tomcat-5.5-doc/jndi-datasource-examples-howto.html
2. Download the jar files for STL as stated in http://tomcat.apache.org/tomcat-5.5-doc/jndi-datasource-examples-howto.html
3. Create the web.xml, context.xml and try a connection to http://localhost:8080/DBTest/test.jsp

It returns the error (copied from catalina.out):
WARNING: Failed to register in JMX: javax.naming.NamingException: Could not crea
te resource factory instance [Root exception is java.lang.ClassNotFoundException
: org.apache.tomcat.dbcp.dbcp.BasicDataSourceFactory]

javax.servlet.jsp.JspException: Unable to get connection, DataSource invalid: "java.sql.SQLException: No suitable driver"
        at org.apache.taglibs.standard.tag.common.sql.QueryTagSupport.getConnection(Unknown Source)
        at org.apache.taglibs.standard.tag.common.sql.QueryTagSupport.doStartTag(Unknown Source)
        at org.apache.jsp.test_jsp._jspx_meth_sql_query_0(test_jsp.java:100)
        at org.apache.jsp.test_jsp._jspService(test_jsp.java:58)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:97)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:802)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:332)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:314)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:264)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:802)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:252)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:173)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:213)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:178)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:126)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:105)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:107)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:148)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:869)
        at org.apache.coyote.http11.Http11BaseProtocol$Http11ConnectionHandler.processConnection(Http11BaseProtocol.java:664)
        at org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:527)
        at org.apache.tomcat.util.net.LeaderFollowerWorkerThread.runIt(LeaderFollowerWorkerThread.java:80)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:684)
        at java.lang.Thread.run(Thread.java:595)


Actual Results:
Exception was thrown on the browser

Expected Results:
Results
Foo hello
Bar 12345

Additional info:
Comment 1 Nito Martinez 2006-11-24 05:21:45 EST
The actual name of the package is tomcat5-common-lib-5.5.17-6jpp.2.i386.

Also reproduced in Fedora5 with tomcat5-common-lib-5.5.15-1jpp_6fc
Comment 2 Nathan Robertson 2006-11-28 19:43:44 EST
Also affects RHEL 5 beta 2. Marked as such in bug #217630.
Comment 3 Devrim GUNDUZ 2008-01-05 08:12:36 EST
This is already fixed in the latest releases. Closing.

Note You need to log in before you can comment on or make changes to this bug.